#127346 Report by node geon07 covering 2010 tests from 61 modules resulted into 9 errors

Report

ObsPy version
1.3.0
GitHub Pull Request
-
Report file
JSON document
Total runtime
143.3 sec
Report date/time
2022-09-21 14:21:35

System / Python

Architecture
64bit
Machine
x86_64
Node
geon07
Processor
x86_64
Python Compiler
GCC 10.4.0
Python Implementation
CPython
Python Version
3.10.6
Release
5.15.0-47-generic
System
Linux
Version
#51-Ubuntu SMP Thu Aug 11 07:51:15 UTC 2022

Dependencies

cartopy
0.21.0
decorator
5.1.1
flake8
---
geographiclib
---
lxml
4.9.1
matplotlib
3.6.0
numpy
1.23.3
obspy
1.3.0
pyproj
3.4.0
pytest
7.1.3
pytest-json-report
1.5.0
requests
2.28.1
scipy
1.9.1
setuptools
65.3.0
shapefile
---
sqlalchemy
1.4.41

Modules (61)

Module Errors / Failures Tracebacks
obspy.clients Not tested -
obspy.clients.earthworm Not tested -
obspy.clients.fdsn - -
obspy.clients.filesystem - -
obspy.clients.iris Not tested -
obspy.clients.neic Not tested -
obspy.clients.nrl Not tested -
obspy.clients.seedlink Not tested -
obspy.clients.seishub Not tested -
obspy.clients.syngine Not tested -
obspy.core 9 1 2 3 4 5 6 7 8 9
obspy.core.event - -
obspy.core.inventory - -
obspy.core.util - -
obspy.db Not tested -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.dmx - -
obspy.io.focmec - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.hypodd - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.rg16 - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal - -
obspy.taup - -
Summary 9 9

Tracebacks (9)

2333
2334 .. rubric:: Example
2335
2336 >>> st = read()
2337 >>> print(st) # doctest: +ELLIPSIS
2338 3 Trace(s) in Stream:
2339 BW.RJOB..EHZ | 2009-08-24T00:20:03.000000Z ... | 100.0 Hz, 3000 samples
2340 BW.RJOB..EHN | 2009-08-24T00:20:03.000000Z ... | 100.0 Hz, 3000 samples
2341 BW.RJOB..EHE | 2009-08-24T00:20:03.000000Z ... | 100.0 Hz, 3000 samples
2342 >>> st.resample(10.0) # doctest: +ELLIPSIS
UNEXPECTED EXCEPTION: ValueError('Unknown window type.')
Traceback (most recent call last):
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/scipy/signal/windows/_windows.py", line 2214, in get_window
beta = float(window)
ValueError: could not convert string to float: 'hanning'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/scipy/signal/windows/_windows.py", line 2232, in get_window
winfunc = _win_equiv[winstr]
KeyError: 'hanning'
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/doctest.py", line 1350, in __run
exec(compile(example.source, filename, "single",
File "<doctest obspy.core.stream.Stream.resample[2]>", line 1, in <module>
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/stream.py", line 2351, in resample
tr.resample(sampling_rate, window=window,
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/util/decorator.py", line 237, in skip_if_no_data
return func(*args, **kwargs)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/trace.py", line 282, in _add_processing_info
result = func(*args, **kwargs)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/trace.py", line 1744, in resample
large_w = np.fft.ifftshift(get_window(window,
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/scipy/signal/windows/_windows.py", line 2234, in get_window
raise ValueError("Unknown window type.") from e
ValueError: Unknown window type.
/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/stream.py:2342: UnexpectedException
1687 the signal is assumed to be periodic.
1688
1689 .. rubric:: Example
1690
1691 >>> tr = Trace(data=np.array([0.5, 0, 0.5, 1, 0.5, 0, 0.5, 1]))
1692 >>> len(tr)
1693 8
1694 >>> tr.stats.sampling_rate
1695 1.0
1696 >>> tr.resample(4.0) # doctest: +ELLIPSIS
UNEXPECTED EXCEPTION: ValueError('Unknown window type.')
Traceback (most recent call last):
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/scipy/signal/windows/_windows.py", line 2214, in get_window
beta = float(window)
ValueError: could not convert string to float: 'hanning'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/scipy/signal/windows/_windows.py", line 2232, in get_window
winfunc = _win_equiv[winstr]
KeyError: 'hanning'
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/doctest.py", line 1350, in __run
exec(compile(example.source, filename, "single",
File "<doctest obspy.core.trace.Trace.resample[3]>", line 1, in <module>
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/util/decorator.py", line 237, in skip_if_no_data
return func(*args, **kwargs)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/trace.py", line 282, in _add_processing_info
result = func(*args, **kwargs)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/trace.py", line 1744, in resample
large_w = np.fft.ifftshift(get_window(window,
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/scipy/signal/windows/_windows.py", line 2234, in get_window
raise ValueError("Unknown window type.") from e
ValueError: Unknown window type.
/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/trace.py:1696: UnexpectedException
Traceback (most recent call last):
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/scipy/signal/windows/_windows.py", line 2214, in get_window
beta = float(window)
ValueError: could not convert string to float: 'hanning'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/scipy/signal/windows/_windows.py", line 2232, in get_window
winfunc = _win_equiv[winstr]
KeyError: 'hanning'
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/tests/test_stream.py", line 2247, in test_method_chaining
.resample(st[0].stats.sampling_rate / 2)\
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/stream.py", line 2351, in resample
tr.resample(sampling_rate, window=window,
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/util/decorator.py", line 237, in skip_if_no_data
return func(*args, **kwargs)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/trace.py", line 282, in _add_processing_info
result = func(*args, **kwargs)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/trace.py", line 1744, in resample
large_w = np.fft.ifftshift(get_window(window,
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/scipy/signal/windows/_windows.py", line 2234, in get_window
raise ValueError("Unknown window type.") from e
ValueError: Unknown window type.
Traceback (most recent call last):
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/scipy/signal/windows/_windows.py", line 2214, in get_window
beta = float(window)
ValueError: could not convert string to float: 'hanning'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/scipy/signal/windows/_windows.py", line 2232, in get_window
winfunc = _win_equiv[winstr]
KeyError: 'hanning'
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/tests/test_trace.py", line 1640, in test_resample
tr_2 = tr.copy().resample(sampling_rate=50.0)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/util/decorator.py", line 237, in skip_if_no_data
return func(*args, **kwargs)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/trace.py", line 282, in _add_processing_info
result = func(*args, **kwargs)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/trace.py", line 1744, in resample
large_w = np.fft.ifftshift(get_window(window,
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/scipy/signal/windows/_windows.py", line 2234, in get_window
raise ValueError("Unknown window type.") from e
ValueError: Unknown window type.
Traceback (most recent call last):
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/scipy/signal/windows/_windows.py", line 2214, in get_window
beta = float(window)
ValueError: could not convert string to float: 'hanning'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/scipy/signal/windows/_windows.py", line 2232, in get_window
winfunc = _win_equiv[winstr]
KeyError: 'hanning'
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/tests/test_trace.py", line 1678, in test_method_chaining
.resample(tr.stats.sampling_rate / 2.0)\
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/util/decorator.py", line 237, in skip_if_no_data
return func(*args, **kwargs)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/trace.py", line 282, in _add_processing_info
result = func(*args, **kwargs)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/trace.py", line 1744, in resample
large_w = np.fft.ifftshift(get_window(window,
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/scipy/signal/windows/_windows.py", line 2234, in get_window
raise ValueError("Unknown window type.") from e
ValueError: Unknown window type.
Traceback (most recent call last):
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/scipy/signal/windows/_windows.py", line 2214, in get_window
beta = float(window)
ValueError: could not convert string to float: 'hanning'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/scipy/signal/windows/_windows.py", line 2232, in get_window
winfunc = _win_equiv[winstr]
KeyError: 'hanning'
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/tests/test_trace.py", line 1845, in test_processing_information
tr.resample(tr.stats.sampling_rate / 2.0)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/util/decorator.py", line 237, in skip_if_no_data
return func(*args, **kwargs)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/trace.py", line 282, in _add_processing_info
result = func(*args, **kwargs)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/trace.py", line 1744, in resample
large_w = np.fft.ifftshift(get_window(window,
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/scipy/signal/windows/_windows.py", line 2234, in get_window
raise ValueError("Unknown window type.") from e
ValueError: Unknown window type.
Traceback (most recent call last):
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/scipy/signal/windows/_windows.py", line 2214, in get_window
beta = float(window)
ValueError: could not convert string to float: 'hanning'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/scipy/signal/windows/_windows.py", line 2232, in get_window
winfunc = _win_equiv[winstr]
KeyError: 'hanning'
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/tests/test_trace.py", line 2119, in test_resample_new
tr.resample(0.5, window='hanning', no_filter=True)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/util/decorator.py", line 237, in skip_if_no_data
return func(*args, **kwargs)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/trace.py", line 282, in _add_processing_info
result = func(*args, **kwargs)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/trace.py", line 1744, in resample
large_w = np.fft.ifftshift(get_window(window,
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/scipy/signal/windows/_windows.py", line 2234, in get_window
raise ValueError("Unknown window type.") from e
ValueError: Unknown window type.
Traceback (most recent call last):
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/scipy/signal/windows/_windows.py", line 2214, in get_window
beta = float(window)
ValueError: could not convert string to float: 'hanning'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/scipy/signal/windows/_windows.py", line 2232, in get_window
winfunc = _win_equiv[winstr]
KeyError: 'hanning'
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/tests/test_trace.py", line 2544, in test_dtype_is_not_unnecessarily_changed
assert tr_int32.copy().resample(2.0).data.dtype == np.float64
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/util/decorator.py", line 237, in skip_if_no_data
return func(*args, **kwargs)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/trace.py", line 282, in _add_processing_info
result = func(*args, **kwargs)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/trace.py", line 1744, in resample
large_w = np.fft.ifftshift(get_window(window,
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/scipy/signal/windows/_windows.py", line 2234, in get_window
raise ValueError("Unknown window type.") from e
ValueError: Unknown window type.
Traceback (most recent call last):
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/scipy/signal/windows/_windows.py", line 2214, in get_window
beta = float(window)
ValueError: could not convert string to float: 'hanning'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/scipy/signal/windows/_windows.py", line 2232, in get_window
winfunc = _win_equiv[winstr]
KeyError: 'hanning'
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/tests/test_trace.py", line 2717, in test_resample_short_traces
tr.resample(30)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/util/decorator.py", line 237, in skip_if_no_data
return func(*args, **kwargs)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/trace.py", line 282, in _add_processing_info
result = func(*args, **kwargs)
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/trace.py", line 1744, in resample
large_w = np.fft.ifftshift(get_window(window,
File "/home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/scipy/signal/windows/_windows.py", line 2234, in get_window
raise ValueError("Unknown window type.") from e
ValueError: Unknown window type.

Skipped tests (26)

Submodule Test Skip message
core core/stream.py::obspy.core.stream._is_pickle Skipped: all tests skipped by +SKIP option
core.util core/util/misc.py::obspy.core.util.misc.CatchOutput Skipped: all tests skipped by +SKIP option
core.util core/util/misc.py::obspy.core.util.misc.SuppressOutput Skipped: all tests skipped by +SKIP option
core.util core/util/misc.py::obspy.core.util.misc.TemporaryWorkingDirectory Skipped: all tests skipped by +SKIP option
geodetics geodetics/tests/test_util_geodetics.py::TestUtilGeodetics::test_gps_2_dist_azimuth_with_geographiclib Skipped: Module geographiclib is not installed
geodetics geodetics/tests/test_util_geodetics.py::TestUtilGeodetics::test_issue_375 Skipped: Module geographiclib is not installed
imaging imaging/tests/test_mopad_script.py::TestMopad::test_script_plot Skipped: Currently broken until further review.
io.ascii io/ascii/core.py::obspy.io.ascii.core._is_slist Skipped: all tests skipped by +SKIP option
io.ascii io/ascii/core.py::obspy.io.ascii.core._is_tspair Skipped: all tests skipped by +SKIP option
io.nordic io/nordic/utils.py::obspy.io.nordic.utils._evmagtonor Skipped: all tests skipped by +SKIP option
io.nordic io/nordic/utils.py::obspy.io.nordic.utils._nortoevmag Skipped: all tests skipped by +SKIP option
io.pde io/pde/mchedr.py::obspy.io.pde.mchedr._is_mchedr Skipped: all tests skipped by +SKIP option
io.quakeml io/quakeml/core.py::obspy.io.quakeml.core._is_quakeml Skipped: all tests skipped by +SKIP option
io.seisan io/seisan/core.py::obspy.io.seisan.core._is_seisan Skipped: all tests skipped by +SKIP option
io.sh io/sh/core.py::obspy.io.sh.core._is_asc Skipped: all tests skipped by +SKIP option
io.sh io/sh/core.py::obspy.io.sh.core._is_q Skipped: all tests skipped by +SKIP option
io.wav io/wav/core.py::obspy.io.wav.core._is_wav Skipped: all tests skipped by +SKIP option
io.y io/y/core.py::obspy.io.y.core._is_y Skipped: all tests skipped by +SKIP option
signal signal/quality_control.py::obspy.signal.quality_control.MSEEDMetadata Skipped: all tests skipped by +SKIP option
signal signal/tests/test_quality_control.py::QualityControlTestCase::test_schema_validation Skipped: Test requires the jsonschema module
taup taup/tests/test_ray_paths.py::TestRayPathCalculations::test_compute_ray_paths Skipped: test needs geographiclib >= 1.34
taup taup/tests/test_tau.py::TestTauPyModel::test_p_iasp91_geo_manual Skipped: Module geographiclib is not installed
taup taup/tests/test_tau.py::TestTauPyModel::test_pierce_p_iasp91_geo Skipped: test needs geographiclib >= 1.34
taup taup/tests/test_tau.py::TestTauPyModel::test_single_path_geo_iasp91 Skipped: test needs geographiclib >= 1.34
taup taup/tests/test_taup_geo.py::TestTaupGeo::test_path_geo Skipped: Module geographiclib is not installed or too old.
taup taup/tests/test_taup_geo.py::TestTaupGeo::test_path_resampling Skipped: Module geographiclib is not installed or too old.

Slowest tests (20)

Runtime Test
13.244s core/tests/test_inventory.py::TestInventoryCartopy::test_location_plot_local
6.446s core/tests/test_inventory.py::TestInventoryCartopy::test_location_plot_global
6.279s core/tests/test_event.py::TestEvent::test_plot_farfield_without_quiver_with_maps
6.186s core/stream.py::obspy.core.stream.read
4.077s taup/__init__.py::obspy.taup
3.392s core/tests/test_stream.py::TestStream::test_read_url_via_network
3.351s taup/tests/test_seismic_phase.py::TestTauPySeismicPhase::test_shoot_existing_ray_param
3.190s io/xseed/tests/test_core.py::CoreTestCase::test_response_calculation_from_seed_and_xseed
2.604s signal/tests/test_calibration.py::CalibrationTestCase::test_relcal_different_overlaps
1.881s taup/tau.py::obspy.taup.tau.plot_travel_times
1.815s taup/tests/test_tau.py::TestTauPyModel::test_regional_models
1.585s taup/tests/test_tau.py::TestTauPyModel::test_vs_java_iasp91
1.487s io/nlloc/tests/test_util.py::NLLOCTestCase::test_read_nlloc_scatter_coordinate_conversion
1.475s signal/tests/test_cross_correlation.py::TestCrossCorrelation::test_correlate_stream_template_and_correlation_detector
1.467s signal/tests/test_spectral_estimation.py::TestPsd::test_ppsd_restricted_stacks
1.441s taup/tests/test_seismic_phase.py::TestTauPySeismicPhase::test_many_identically_named_phases
1.265s signal/tf_misfit.py::obspy.signal.tf_misfit.plot_tfr
1.165s signal/tests/test_rotate.py::RotateTestCase::test_rotate2zne_against_lqt_different_combinations
1.063s signal/tests/test_interpolation.py::TestInterpolation::test_plot_lanczos_window
1.024s signal/tests/test_tf_misfit.py::TestTfPlot::test_plot_tf_gofs

Warnings (11)

Stage Filename Category Message
collect /home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/taup/tau.py:25 PendingDeprecationWarning The get_cmap function will be deprecated in a future version. Use ``matplotlib.colormaps[name]`` instead.
runtest /home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/imaging/source.py:332 PendingDeprecationWarning The get_cmap function will be deprecated in a future version. Use ``matplotlib.colormaps[name]`` instead.
collect /home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/imaging/cm.py:300 PendingDeprecationWarning The get_cmap function will be deprecated in a future version. Use ``matplotlib.colormaps[name]`` instead.
runtest /home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/core/inventory/inventory.py:981 PendingDeprecationWarning The get_cmap function will be deprecated in a future version. Use ``matplotlib.colormaps[name]`` instead.
runtest /home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/imaging/source.py:376 PendingDeprecationWarning The get_cmap function will be deprecated in a future version. Use ``matplotlib.colormaps[name]`` instead.
collect /home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/imaging/cm.py:299 PendingDeprecationWarning The get_cmap function will be deprecated in a future version. Use ``matplotlib.colormaps[name]`` instead.
runtest /home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/imaging/waveform.py:1282 PendingDeprecationWarning The get_cmap function will be deprecated in a future version. Use ``matplotlib.colormaps[name]`` instead.
runtest /home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/imaging/source.py:273 PendingDeprecationWarning The get_cmap function will be deprecated in a future version. Use ``matplotlib.colormaps[name]`` instead.
runtest /home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/imaging/source.py:268 PendingDeprecationWarning The get_cmap function will be deprecated in a future version. Use ``matplotlib.colormaps[name]`` instead.
runtest /home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/io/kml/core.py:65 PendingDeprecationWarning The get_cmap function will be deprecated in a future version. Use ``matplotlib.colormaps[name]`` instead.
runtest /home/geonodos/anaconda3/envs/obspy/lib/python3.10/site-packages/obspy/imaging/source.py:339 PendingDeprecationWarning The get_cmap function will be deprecated in a future version. Use ``matplotlib.colormaps[name]`` instead.